Index: sansmodels/include/DiamCyl.h
===================================================================
--- sansmodels/include/DiamCyl.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/DiamCyl.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -34,4 +34,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/DiamEllip.h
===================================================================
--- sansmodels/include/DiamEllip.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/DiamEllip.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -40,4 +40,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/Hardsphere.h
===================================================================
--- sansmodels/include/Hardsphere.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/Hardsphere.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -41,4 +41,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/HayterMSA.h
===================================================================
--- sansmodels/include/HayterMSA.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/HayterMSA.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -59,4 +59,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/SquareWell.h
===================================================================
--- sansmodels/include/SquareWell.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/SquareWell.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -53,4 +53,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/StickyHS.h
===================================================================
--- sansmodels/include/StickyHS.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/StickyHS.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -53,4 +53,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/barbell.h
===================================================================
--- sansmodels/include/barbell.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/barbell.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -76,4 +76,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/bcc.h
===================================================================
--- sansmodels/include/bcc.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/bcc.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -77,4 +77,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/binaryHS.h
===================================================================
--- sansmodels/include/binaryHS.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/binaryHS.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -63,4 +63,5 @@
   double operator()(double qx , double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/capcyl.h
===================================================================
--- sansmodels/include/capcyl.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/capcyl.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -74,4 +74,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/core_shell.h
===================================================================
--- sansmodels/include/core_shell.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/core_shell.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -55,4 +55,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/core_shell_bicelle.h
===================================================================
--- sansmodels/include/core_shell_bicelle.h	(revision 543d1bdf2522521f8b1cf13fbbdd48ab4631fe09)
+++ sansmodels/include/core_shell_bicelle.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -95,4 +95,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/core_shell_cylinder.h
===================================================================
--- sansmodels/include/core_shell_cylinder.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/core_shell_cylinder.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -87,4 +87,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/corefourshell.h
===================================================================
--- sansmodels/include/corefourshell.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/corefourshell.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -82,4 +82,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/coresecondmoment.h
===================================================================
--- sansmodels/include/coresecondmoment.h	(revision 60eea02f6ba52b9ddfad742dc46a6cfad2e195fc)
+++ sansmodels/include/coresecondmoment.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -70,4 +70,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/csparallelepiped.h
===================================================================
--- sansmodels/include/csparallelepiped.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/csparallelepiped.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -89,4 +89,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/cylinder.h
===================================================================
--- sansmodels/include/cylinder.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/cylinder.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -68,4 +68,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/ellipsoid.h
===================================================================
--- sansmodels/include/ellipsoid.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/ellipsoid.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -74,4 +74,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/elliptical_cylinder.h
===================================================================
--- sansmodels/include/elliptical_cylinder.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/elliptical_cylinder.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -60,4 +60,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/fcc.h
===================================================================
--- sansmodels/include/fcc.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/fcc.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -77,4 +77,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/flexcyl_ellipX.h
===================================================================
--- sansmodels/include/flexcyl_ellipX.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/flexcyl_ellipX.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -50,4 +50,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/flexible_cylinder.h
===================================================================
--- sansmodels/include/flexible_cylinder.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/flexible_cylinder.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -50,4 +50,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/fractal.h
===================================================================
--- sansmodels/include/fractal.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/fractal.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -61,4 +61,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/fuzzysphere.h
===================================================================
--- sansmodels/include/fuzzysphere.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/fuzzysphere.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -56,4 +56,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/gaussian.h
===================================================================
--- sansmodels/include/gaussian.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/gaussian.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -5,7 +5,7 @@
 /** Structure definition for Gaussian parameters.
  * The Gaussian is normalized to the 'scale' parameter.
- *  
+ *
  * f(x)=scale * 1/(sigma^2*2pi)e^(-(x-mu)^2/2sigma^2)
- * 
+ *
  * [PYTHONCLASS] = Gaussian
  * [DESCRIPTION] = <text>f(x)=scale * 1/(sigma^2*2pi)e^(-(x-mu)^2/2sigma^2)</text>
@@ -31,4 +31,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/hollow_cylinder.h
===================================================================
--- sansmodels/include/hollow_cylinder.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/hollow_cylinder.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -64,4 +64,5 @@
   double operator()(double qx , double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/lamellar.h
===================================================================
--- sansmodels/include/lamellar.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/lamellar.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -44,4 +44,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/lamellarFF_HG.h
===================================================================
--- sansmodels/include/lamellarFF_HG.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/lamellarFF_HG.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -51,4 +51,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/lamellarPC.h
===================================================================
--- sansmodels/include/lamellarPC.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/lamellarPC.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -57,4 +57,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/lamellarPS.h
===================================================================
--- sansmodels/include/lamellarPS.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/lamellarPS.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -69,4 +69,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/lamellarPS_HG.h
===================================================================
--- sansmodels/include/lamellarPS_HG.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/lamellarPS_HG.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -75,4 +75,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/linearpearls.h
===================================================================
--- sansmodels/include/linearpearls.h	(revision d9547e786c812bc1eaab873b688362cb21ecc3d1)
+++ sansmodels/include/linearpearls.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -82,4 +82,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/logNormal.h
===================================================================
--- sansmodels/include/logNormal.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/logNormal.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -5,5 +5,5 @@
 /** Structure definition for Gaussian parameters.
  * The Log normal is normalized to the 'scale' parameter.
- *  
+ *
  * f(x)=scale * 1/(sigma*math.sqrt(2pi))e^(-1/2*((math.log(x)-mu)/sigma)^2)
  *
@@ -31,4 +31,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/lorentzian.h
===================================================================
--- sansmodels/include/lorentzian.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/lorentzian.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -5,7 +5,7 @@
 /** Structure definition for Lorentzian parameters.
  * The Lorentzian is normalized to the 'scale' parameter.
- *  
+ *
  * f(x)=scale * 1/pi 0.5gamma / [ (x-x_0)^2 + (0.5gamma)^2 ]
- * 
+ *
  * [PYTHONCLASS] = Lorentzian
  * [DESCRIPTION] = <text>f(x)=scale * 1/pi 0.5gamma / [ (x-x_0)^2 + (0.5gamma)^2 ]</text>
@@ -32,4 +32,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/massfractal.h
===================================================================
--- sansmodels/include/massfractal.h	(revision 08648c055ed9beec9949b4b6563871b9101ac8a9)
+++ sansmodels/include/massfractal.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -43,6 +43,6 @@
   Parameter co_length;
 
-  /// Incoherent Background 
-  //  [DEFAULT]=background=0.0 
+  /// Incoherent Background
+  //  [DEFAULT]=background=0.0
   Parameter background;
 
@@ -54,4 +54,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/masssurfacefractal.h
===================================================================
--- sansmodels/include/masssurfacefractal.h	(revision 08648c055ed9beec9949b4b6563871b9101ac8a9)
+++ sansmodels/include/masssurfacefractal.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -47,5 +47,5 @@
 
   /// Incoherent Background
-  //  [DEFAULT]=background=0.0 
+  //  [DEFAULT]=background=0.0
   Parameter background;
 
@@ -57,4 +57,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/multishell.h
===================================================================
--- sansmodels/include/multishell.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/multishell.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -64,4 +64,5 @@
   double operator()(double qx , double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/onion.h
===================================================================
--- sansmodels/include/onion.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/onion.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -169,4 +169,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/parallelepiped.h
===================================================================
--- sansmodels/include/parallelepiped.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/parallelepiped.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -63,4 +63,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/pearlnecklace.h
===================================================================
--- sansmodels/include/pearlnecklace.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/pearlnecklace.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -96,4 +96,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/polygausscoil.h
===================================================================
--- sansmodels/include/polygausscoil.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/polygausscoil.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -46,4 +46,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/refl.h
===================================================================
--- sansmodels/include/refl.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/refl.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -149,4 +149,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/refl_adv.h
===================================================================
--- sansmodels/include/refl_adv.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/refl_adv.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -201,4 +201,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/rpa.h
===================================================================
--- sansmodels/include/rpa.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/rpa.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -135,4 +135,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/sc.h
===================================================================
--- sansmodels/include/sc.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/sc.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -79,4 +79,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/schulz.h
===================================================================
--- sansmodels/include/schulz.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/schulz.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -5,10 +5,10 @@
 /** Structure definition for Schulz parameters.
  * The Schulz is normalized to the 'scale' parameter.
- *  
+ *
  * f(x)=scale * math.pow(z+1, z+1)*math.pow((R), z)*
  *					math.exp(-R*(z+1))/(center*gamma(z+1)
  *		z= math.pow[(1/(sigma/center),2]-1
  *		R= x/center
- * 
+ *
  * [PYTHONCLASS] = Schulz
  * [DESCRIPTION] = <text> f(x)=scale * math.pow(z+1, z+1)*math.pow((R), z)*
@@ -37,4 +37,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/sld_cal.h
===================================================================
--- sansmodels/include/sld_cal.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/sld_cal.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -48,4 +48,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/sphere.h
===================================================================
--- sansmodels/include/sphere.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/sphere.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -50,4 +50,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/spheresld.h
===================================================================
--- sansmodels/include/spheresld.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/spheresld.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -175,4 +175,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/spheroid.h
===================================================================
--- sansmodels/include/spheroid.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/spheroid.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -78,4 +78,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/stacked_disks.h
===================================================================
--- sansmodels/include/stacked_disks.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/stacked_disks.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -74,4 +74,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/surfacefractal.h
===================================================================
--- sansmodels/include/surfacefractal.h	(revision 08648c055ed9beec9949b4b6563871b9101ac8a9)
+++ sansmodels/include/surfacefractal.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -43,6 +43,6 @@
   Parameter co_length;
 
-  /// Incoherent Background 
-  //  [DEFAULT]=background=0.0 
+  /// Incoherent Background
+  //  [DEFAULT]=background=0.0
   Parameter background;
 
@@ -54,4 +54,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/triaxial_ellipsoid.h
===================================================================
--- sansmodels/include/triaxial_ellipsoid.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/triaxial_ellipsoid.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -55,4 +55,5 @@
   double operator()(double qx, double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };
Index: sansmodels/include/vesicle.h
===================================================================
--- sansmodels/include/vesicle.h	(revision 503a9728116697915322a45fc66882720885ca92)
+++ sansmodels/include/vesicle.h	(revision 6319646cf4d15b5499c126bb1c51f51bca2f1500)
@@ -52,4 +52,5 @@
   double operator()(double qx , double qy);
   double calculate_ER();
+  double calculate_VR();
   double evaluate_rphi(double q, double phi);
 };