Index: sasmodels/models/bcc_paracrystal.c
===================================================================
--- sasmodels/models/bcc_paracrystal.c	(revision 108e70e22154db937a6d46f66be6dd70408cce6d)
+++ sasmodels/models/bcc_paracrystal.c	(revision 6530963bb96348a84504e7d230b909ede701366c)
@@ -1,4 +1,4 @@
 static double
-bcc_Zq(double qa, double qb, double qc, double dnn, double d_factor)
+bcc_Zq(double qa, double qb, double qc, double lattice_spacing, double lattice_distortion)
 {
     // Equations from Matsuoka 26-27-28, multiplied by |q|
@@ -17,10 +17,10 @@
     //         => exp(a)^2 - 2 cos(d ak) exp(a) + 1)
     //         => (exp(a) - 2 cos(d ak)) * exp(a) + 1
-    const double arg = -0.5*square(dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
+    const double arg = -0.5*square(lattice_spacing*lattice_distortion)*(a1*a1 + a2*a2 + a3*a3);
     const double exp_arg = exp(arg);
     const double Zq = -cube(expm1(2.0*arg))
-        / ( ((exp_arg - 2.0*cos(dnn*a1))*exp_arg + 1.0)
-          * ((exp_arg - 2.0*cos(dnn*a2))*exp_arg + 1.0)
-          * ((exp_arg - 2.0*cos(dnn*a3))*exp_arg + 1.0));
+        / ( ((exp_arg - 2.0*cos(lattice_spacing*a1))*exp_arg + 1.0)
+          * ((exp_arg - 2.0*cos(lattice_spacing*a2))*exp_arg + 1.0)
+          * ((exp_arg - 2.0*cos(lattice_spacing*a3))*exp_arg + 1.0));
 
 #elif 0
@@ -36,17 +36,17 @@
     //            = tanh(-a) / [1 - cos(d a_k)/cosh(-a)]
     //
-    const double arg = 0.5*square(dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
+    const double arg = 0.5*square(lattice_spacing*lattice_distortion)*(a1*a1 + a2*a2 + a3*a3);
     const double sinh_qd = sinh(arg);
     const double cosh_qd = cosh(arg);
-    const double Zq = sinh_qd/(cosh_qd - cos(dnn*a1))
-                    * sinh_qd/(cosh_qd - cos(dnn*a2))
-                    * sinh_qd/(cosh_qd - cos(dnn*a3));
+    const double Zq = sinh_qd/(cosh_qd - cos(lattice_spacing*a1))
+                    * sinh_qd/(cosh_qd - cos(lattice_spacing*a2))
+                    * sinh_qd/(cosh_qd - cos(lattice_spacing*a3));
 #else
-    const double arg = 0.5*square(dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
+    const double arg = 0.5*square(lattice_spacing*lattice_distortion)*(a1*a1 + a2*a2 + a3*a3);
     const double tanh_qd = tanh(arg);
     const double cosh_qd = cosh(arg);
-    const double Zq = tanh_qd/(1.0 - cos(dnn*a1)/cosh_qd)
-                    * tanh_qd/(1.0 - cos(dnn*a2)/cosh_qd)
-                    * tanh_qd/(1.0 - cos(dnn*a3)/cosh_qd);
+    const double Zq = tanh_qd/(1.0 - cos(lattice_spacing*a1)/cosh_qd)
+                    * tanh_qd/(1.0 - cos(lattice_spacing*a2)/cosh_qd)
+                    * tanh_qd/(1.0 - cos(lattice_spacing*a3)/cosh_qd);
 #endif
 
@@ -57,7 +57,7 @@
 // occupied volume fraction calculated from lattice symmetry and sphere radius
 static double
-bcc_volume_fraction(double radius, double dnn)
+bcc_volume_fraction(double radius, double lattice_spacing)
 {
-    return 2.0*sphere_volume(sqrt(0.75)*radius/dnn);
+    return 2.0*sphere_volume(sqrt(0.75)*radius/lattice_spacing);
 }
 
@@ -69,6 +69,6 @@
 
 
-static double Iq(double q, double dnn,
-    double d_factor, double radius,
+static double Iq(double q, double lattice_spacing,
+    double lattice_distortion, double radius,
     double sld, double solvent_sld)
 {
@@ -94,5 +94,5 @@
             const double qa = qab*cos_phi;
             const double qb = qab*sin_phi;
-            const double form = bcc_Zq(qa, qb, qc, dnn, d_factor);
+            const double form = bcc_Zq(qa, qb, qc, lattice_spacing, lattice_distortion);
             inner_sum += GAUSS_W[j] * form;
         }
@@ -103,15 +103,15 @@
     const double Zq = outer_sum/(4.0*M_PI);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
-    return bcc_volume_fraction(radius, dnn) * Pq * Zq;
+    return bcc_volume_fraction(radius, lattice_spacing) * Pq * Zq;
 }
 
 
 static double Iqabc(double qa, double qb, double qc,
-    double dnn, double d_factor, double radius,
+    double lattice_spacing, double lattice_distortion, double radius,
     double sld, double solvent_sld)
 {
     const double q = sqrt(qa*qa + qb*qb + qc*qc);
-    const double Zq = bcc_Zq(qa, qb, qc, dnn, d_factor);
+    const double Zq = bcc_Zq(qa, qb, qc, lattice_spacing, lattice_distortion);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
-    return bcc_volume_fraction(radius, dnn) * Pq * Zq;
+    return bcc_volume_fraction(radius, lattice_spacing) * Pq * Zq;
 }
Index: sasmodels/models/bcc_paracrystal.py
===================================================================
--- sasmodels/models/bcc_paracrystal.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/bcc_paracrystal.py	(revision 6530963bb96348a84504e7d230b909ede701366c)
@@ -123,6 +123,6 @@
 # pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description" ],
-parameters = [["dnn",         "Ang",       220,    [-inf, inf], "",            "Nearest neighbour distance"],
-              ["d_factor",    "",            0.06, [-inf, inf], "",            "Paracrystal distortion factor"],
+parameters = [["lattice_spacing",         "Ang",       220,    [-inf, inf], "",            "Lattice spacing"],
+              ["lattice_distortion",    "",            0.06, [-inf, inf], "",            "Paracrystal distortion factor"],
               ["radius",      "Ang",        40,    [0, inf],    "volume",      "Particle radius"],
               ["sld",         "1e-6/Ang^2",  4,    [-inf, inf], "sld",         "Particle scattering length density"],
@@ -145,11 +145,11 @@
     # in this range 'cuz its easy.
     radius = 10**np.random.uniform(1.3, 4)
-    d_factor = 10**np.random.uniform(-2, -0.7)  # sigma_d in 0.01-0.7
-    dnn_fraction = np.random.beta(a=10, b=1)
-    dnn = radius*4/np.sqrt(3)/dnn_fraction
+    lattice_distortion = 10**np.random.uniform(-2, -0.7)  # sigma_d in 0.01-0.7
+    lattice_spacing_fraction = np.random.beta(a=10, b=1)
+    lattice_spacing = radius*4/np.sqrt(3)/lattice_spacing_fraction
     pars = dict(
         #sld=1, sld_solvent=0, scale=1, background=1e-32,
-        dnn=dnn,
-        d_factor=d_factor,
+        lattice_spacing=lattice_spacing,
+        lattice_distortion=lattice_distortion,
         radius=radius,
     )
Index: sasmodels/models/fcc_paracrystal.c
===================================================================
--- sasmodels/models/fcc_paracrystal.c	(revision 108e70e22154db937a6d46f66be6dd70408cce6d)
+++ sasmodels/models/fcc_paracrystal.c	(revision 6530963bb96348a84504e7d230b909ede701366c)
@@ -1,4 +1,4 @@
 static double
-fcc_Zq(double qa, double qb, double qc, double dnn, double d_factor)
+fcc_Zq(double qa, double qb, double qc, double lattice_spacing, double lattice_distortion)
 {
     // Equations from Matsuoka 17-18-19, multiplied by |q|
@@ -16,10 +16,10 @@
     //         => exp(a)^2 - 2 cos(d ak) exp(a) + 1)
     //         => (exp(a) - 2 cos(d ak)) * exp(a) + 1
-    const double arg = -0.5*square(dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
+    const double arg = -0.5*square(lattice_spacing*lattice_distortion)*(a1*a1 + a2*a2 + a3*a3);
     const double exp_arg = exp(arg);
     const double Zq = -cube(expm1(2.0*arg))
-        / ( ((exp_arg - 2.0*cos(dnn*a1))*exp_arg + 1.0)
-          * ((exp_arg - 2.0*cos(dnn*a2))*exp_arg + 1.0)
-          * ((exp_arg - 2.0*cos(dnn*a3))*exp_arg + 1.0));
+        / ( ((exp_arg - 2.0*cos(lattice_spacing*a1))*exp_arg + 1.0)
+          * ((exp_arg - 2.0*cos(lattice_spacing*a2))*exp_arg + 1.0)
+          * ((exp_arg - 2.0*cos(lattice_spacing*a3))*exp_arg + 1.0));
 
     return Zq;
@@ -29,7 +29,7 @@
 // occupied volume fraction calculated from lattice symmetry and sphere radius
 static double
-fcc_volume_fraction(double radius, double dnn)
+fcc_volume_fraction(double radius, double lattice_spacing)
 {
-    return 4.0*sphere_volume(M_SQRT1_2*radius/dnn);
+    return 4.0*sphere_volume(M_SQRT1_2*radius/lattice_spacing);
 }
 
@@ -41,6 +41,6 @@
 
 
-static double Iq(double q, double dnn,
-  double d_factor, double radius,
+static double Iq(double q, double lattice_spacing,
+  double lattice_distortion, double radius,
   double sld, double solvent_sld)
 {
@@ -66,5 +66,5 @@
             const double qa = qab*cos_phi;
             const double qb = qab*sin_phi;
-            const double form = fcc_Zq(qa, qb, qc, dnn, d_factor);
+            const double form = fcc_Zq(qa, qb, qc, lattice_spacing, lattice_distortion);
             inner_sum += GAUSS_W[j] * form;
         }
@@ -76,15 +76,15 @@
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
 
-    return fcc_volume_fraction(radius, dnn) * Pq * Zq;
+    return fcc_volume_fraction(radius, lattice_spacing) * Pq * Zq;
 }
 
 
 static double Iqabc(double qa, double qb, double qc,
-    double dnn, double d_factor, double radius,
+    double lattice_spacing, double lattice_distortion, double radius,
     double sld, double solvent_sld)
 {
     const double q = sqrt(qa*qa + qb*qb + qc*qc);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
-    const double Zq = fcc_Zq(qa, qb, qc, dnn, d_factor);
-    return fcc_volume_fraction(radius, dnn) * Pq * Zq;
+    const double Zq = fcc_Zq(qa, qb, qc, lattice_spacing, lattice_distortion);
+    return fcc_volume_fraction(radius, lattice_spacing) * Pq * Zq;
 }
Index: sasmodels/models/fcc_paracrystal.py
===================================================================
--- sasmodels/models/fcc_paracrystal.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/fcc_paracrystal.py	(revision 6530963bb96348a84504e7d230b909ede701366c)
@@ -111,6 +111,6 @@
 # pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["dnn", "Ang", 220, [-inf, inf], "", "Nearest neighbour distance"],
-              ["d_factor", "", 0.06, [-inf, inf], "", "Paracrystal distortion factor"],
+parameters = [["lattice_spacing", "Ang", 220, [-inf, inf], "", "Lattice spacing"],
+              ["lattice_distortion", "", 0.06, [-inf, inf], "", "Paracrystal distortion factor"],
               ["radius", "Ang", 40, [0, inf], "volume", "Particle radius"],
               ["sld", "1e-6/Ang^2", 4, [-inf, inf], "sld", "Particle scattering length density"],
@@ -127,11 +127,11 @@
     # copied from bcc_paracrystal
     radius = 10**np.random.uniform(1.3, 4)
-    d_factor = 10**np.random.uniform(-2, -0.7)  # sigma_d in 0.01-0.7
-    dnn_fraction = np.random.beta(a=10, b=1)
-    dnn = radius*4/np.sqrt(2)/dnn_fraction
+    lattice_distortion = 10**np.random.uniform(-2, -0.7)  # sigma_d in 0.01-0.7
+    lattice_spacing_fraction = np.random.beta(a=10, b=1)
+    lattice_spacing = radius*4/np.sqrt(2)/lattice_spacing_fraction
     pars = dict(
         #sld=1, sld_solvent=0, scale=1, background=1e-32,
-        dnn=dnn,
-        d_factor=d_factor,
+        latice_spacing=lattice_spacing,
+        lattice_distortion=d_factor,
         radius=radius,
     )
Index: sasmodels/models/sc_paracrystal.c
===================================================================
--- sasmodels/models/sc_paracrystal.c	(revision 108e70e22154db937a6d46f66be6dd70408cce6d)
+++ sasmodels/models/sc_paracrystal.c	(revision 6530963bb96348a84504e7d230b909ede701366c)
@@ -1,4 +1,4 @@
 static double
-sc_Zq(double qa, double qb, double qc, double dnn, double d_factor)
+sc_Zq(double qa, double qb, double qc, double lattice_spacing, double lattice_distortion)
 {
     // Equations from Matsuoka 9-10-11, multiplied by |q|
@@ -16,10 +16,10 @@
     //         => exp(a)^2 - 2 cos(d ak) exp(a) + 1)
     //         => (exp(a) - 2 cos(d ak)) * exp(a) + 1
-    const double arg = -0.5*square(dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
+    const double arg = -0.5*square(lattice_spacing*lattice_distortion)*(a1*a1 + a2*a2 + a3*a3);
     const double exp_arg = exp(arg);
     const double Zq = -cube(expm1(2.0*arg))
-        / ( ((exp_arg - 2.0*cos(dnn*a1))*exp_arg + 1.0)
-          * ((exp_arg - 2.0*cos(dnn*a2))*exp_arg + 1.0)
-          * ((exp_arg - 2.0*cos(dnn*a3))*exp_arg + 1.0));
+        / ( ((exp_arg - 2.0*cos(lattice_spacing*a1))*exp_arg + 1.0)
+          * ((exp_arg - 2.0*cos(lattice_spacing*a2))*exp_arg + 1.0)
+          * ((exp_arg - 2.0*cos(lattice_spacing*a3))*exp_arg + 1.0));
 
     return Zq;
@@ -28,7 +28,7 @@
 // occupied volume fraction calculated from lattice symmetry and sphere radius
 static double
-sc_volume_fraction(double radius, double dnn)
+sc_volume_fraction(double radius, double lattice_spacing)
 {
-    return sphere_volume(radius/dnn);
+    return sphere_volume(radius/lattice_spacing);
 }
 
@@ -41,6 +41,6 @@
 
 static double
-Iq(double q, double dnn,
-    double d_factor, double radius,
+Iq(double q, double lattice_spacing,
+    double lattice_distortion, double radius,
     double sld, double solvent_sld)
 {
@@ -67,5 +67,5 @@
             const double qa = qab*cos_phi;
             const double qb = qab*sin_phi;
-            const double form = sc_Zq(qa, qb, qc, dnn, d_factor);
+            const double form = sc_Zq(qa, qb, qc, lattice_spacing, lattice_distortion);
             inner_sum += GAUSS_W[j] * form;
         }
@@ -77,5 +77,5 @@
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
 
-    return sc_volume_fraction(radius, dnn) * Pq * Zq;
+    return sc_volume_fraction(radius, lattice_spacing) * Pq * Zq;
 }
 
@@ -83,10 +83,10 @@
 static double
 Iqabc(double qa, double qb, double qc,
-    double dnn, double d_factor, double radius,
+    double lattice_spacing, double lattice_distortion, double radius,
     double sld, double solvent_sld)
 {
     const double q = sqrt(qa*qa + qb*qb + qc*qc);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
-    const double Zq = sc_Zq(qa, qb, qc, dnn, d_factor);
-    return sc_volume_fraction(radius, dnn) * Pq * Zq;
+    const double Zq = sc_Zq(qa, qb, qc, lattice_spacing, lattice_distortion);
+    return sc_volume_fraction(radius, lattice_spacing) * Pq * Zq;
 }
Index: sasmodels/models/sc_paracrystal.py
===================================================================
--- sasmodels/models/sc_paracrystal.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/sc_paracrystal.py	(revision 6530963bb96348a84504e7d230b909ede701366c)
@@ -116,6 +116,6 @@
         scale: volume fraction of spheres
         bkg:background, R: radius of sphere
-        dnn: Nearest neighbor distance
-        d_factor: Paracrystal distortion factor
+        lattice_spacing: Nearest neighbor distance
+        lattice_distortion: Paracrystal distortion factor
         radius: radius of the spheres
         sldSph: SLD of the sphere
@@ -126,6 +126,6 @@
 # pylint: disable=bad-whitespace, line-too-long
 #             ["name", "units", default, [lower, upper], "type","description"],
-parameters = [["dnn",         "Ang",       220.0, [0.0, inf],  "",            "Nearest neighbor distance"],
-              ["d_factor",    "",           0.06, [-inf, inf], "",            "Paracrystal distortion factor"],
+parameters = [["lattice_spacing",         "Ang",       220.0, [0.0, inf],  "",  "Lattice spacing"],
+              ["lattice_distortion",    "",           0.06, [-inf, inf], "",   "Paracrystal distortion factor"],
               ["radius",      "Ang",        40.0, [0.0, inf],  "volume",      "Radius of sphere"],
               ["sld",  "1e-6/Ang^2",         3.0, [0.0, inf],  "sld",         "Sphere scattering length density"],
@@ -142,11 +142,11 @@
     # copied from bcc_paracrystal
     radius = 10**np.random.uniform(1.3, 4)
-    d_factor = 10**np.random.uniform(-2, -0.7)  # sigma_d in 0.01-0.7
-    dnn_fraction = np.random.beta(a=10, b=1)
-    dnn = radius*4/np.sqrt(4)/dnn_fraction
+    lattice_distortion = 10**np.random.uniform(-2, -0.7)  # sigma_d in 0.01-0.7
+    lattice_spacing_fraction = np.random.beta(a=10, b=1)
+    lattice_spacing = radius*4/np.sqrt(4)/lattice_spacing_fraction
     pars = dict(
         #sld=1, sld_solvent=0, scale=1, background=1e-32,
-        dnn=dnn,
-        d_factor=d_factor,
+        lattice_spacing=lattice_spacing,
+        lattice_distortion=lattice_distortion,
         radius=radius,
     )